### Class

# Gtk EventControllerKey

#### Description [src]

    final class Gtk.EventControllerKey : Gtk.EventController
    {
      /* No available fields */
    }

`GtkEventControllerKey` is an event controller that provides access to key events.

#### Ancestors

- GtkEventController
- GObject

#### Constructors

###### gtk_event_controller_key_new

Creates a new event controller that will handle key events.

#### Instance methods

###### gtk_event_controller_key_forward

Forwards the current event of this `controller` to a `widget`.

###### gtk_event_controller_key_get_group

Gets the key group of the current event of this `controller`.

###### gtk_event_controller_key_get_im_context

Gets the input method context of the key `controller`.

###### gtk_event_controller_key_set_im_context

Sets the input method context of the key `controller`.

##### Methods inherited from GtkEventController (13)

###### gtk_event_controller_get_current_event

Returns the event that is currently being handled by the controller.

###### gtk_event_controller_get_current_event_device

Returns the device of the event that is currently being handled by the controller.

###### gtk_event_controller_get_current_event_state

Returns the modifier state of the event that is currently being handled by the controller.

###### gtk_event_controller_get_current_event_time

Returns the timestamp of the event that is currently being handled by the controller.

###### gtk_event_controller_get_name

Gets the name of `controller`.

###### gtk_event_controller_get_propagation_limit

Gets the propagation limit of the event controller.

###### gtk_event_controller_get_propagation_phase

Gets the propagation phase at which `controller` handles events.

###### gtk_event_controller_get_widget

Returns the `GtkWidget` this controller relates to.

###### gtk_event_controller_reset

Resets the `controller` to a clean state.

###### gtk_event_controller_set_name

Sets a name on the controller that can be used for debugging.

###### gtk_event_controller_set_propagation_limit

Sets the event propagation limit on the event controller.

###### gtk_event_controller_set_propagation_phase

Sets the propagation phase at which a controller handles events.

###### gtk_event_controller_set_static_name

Sets a name on the controller that can be used for debugging.

since: 4.8

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GtkEventController (4)

###### Gtk.EventController:name

The name for this controller, typically used for debugging purposes.

###### Gtk.EventController:propagation-limit

The limit for which events this controller will handle.

###### Gtk.EventController:propagation-phase

The propagation phase at which this controller will handle events.

###### Gtk.EventController:widget

The widget receiving the `GdkEvents` that the controller will handle.

#### Signals

###### Gtk.EventControllerKey::im-update

Emitted whenever the input method context filters away a keypress and prevents the `controller` receiving it.

###### Gtk.EventControllerKey::key-pressed

Emitted whenever a key is pressed.

###### Gtk.EventControllerKey::key-released

Emitted whenever a key is released.

###### Gtk.EventControllerKey::modifiers

Emitted whenever the state of modifier keys and pointer buttons change.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkEventControllerKeyClass {
      /* no available fields */
    }

No description available.